Bug 1309951 - JBDS Bpmn2 Diagram Editor 1.1.4.Final - Service Task Form Is Missing Service Operation Field
JBDS Bpmn2 Diagram Editor 1.1.4.Final - Service Task Form Is Missing Service ...
Status: NEW
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kris Verlaenen
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 00:10 EST by Justin Holmes
Modified: 2016-02-24 09:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
service operation screen shot (185.62 KB, image/png)
2016-02-19 00:10 EST, Justin Holmes
no flags Details
service task general screen shot (164.36 KB, image/png)
2016-02-19 00:10 EST, Justin Holmes
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 393034 None None None 2016-02-23 03:10 EST

  None (edit)
Description Justin Holmes 2016-02-19 00:10:29 EST
Created attachment 1128436 [details]
service operation screen shot

Description of problem:
See attached screenshots. Service task exposes service implementation and service interface fields, but not service operation dialogue.

Version-Release number of selected component (if applicable):
JBDS 8.1. - Plugin version 1.1.4.Final

How reproducible:
Interesting question. If I create a new process and follow the steps below, then I get this result 100% of the time. However; when experimenting I have created scenarios where the service operation is available and the service interface is not. 

Steps to Reproduce:
1. Install bpm and rules dev tools
2. Create New -> jbpm process
3. Create service task
4. Open Properties -> service task tab

Actual results:
See attached screen shots

Expected results:
Same form as in screenshot with a service operation field


Additional info:
Comment 1 Justin Holmes 2016-02-19 00:10 EST
Created attachment 1128437 [details]
service task general screen shot
Comment 3 Jozef Marko 2016-02-22 07:50:52 EST
Justin, in your screenshots, there is field for service operation. Can you be more precise where is the problem?
Comment 4 Justin Holmes 2016-02-22 14:23:40 EST
Apologies the language is confusing. I mean to say the method on the Java Class that is to be invoked by the Service task. The Java class is covered in the "implementation" field, but there is no place for the method of that class.
Comment 5 Jozef Marko 2016-02-23 03:09:58 EST
Thanks Justin, I see the problem now.

To the time the bug will be fixed, try to use workaround. In the 'Interfaces' tab in process properties, you can import any interface (java class) and select also which operations of this class to import. Then you will be able to select imported operation in 'Service Task' tab in service task properties.
Comment 6 Justin Holmes 2016-02-23 11:12:29 EST
Jozef,

I can't seem to find the workaround you are suggesting. What version of eclipse are you using? What version of the bpmn2 diagram editor plugin are you using?
Comment 7 Jozef Marko 2016-02-24 09:26:12 EST
Justin, 
if you want to check latest BPMN2 Modeler, you can do it with "Eclipse Mars". There you can install latest BPMN2 Modeler by this update site:
http://download.eclipse.org/bpmn2-modeler/updates/mars/1.2.3/

And now back to workaround I mentioned. Please follow these steps.
1. Create new bpmn2 process
2. Open properties of process
3. Select tab 'Interfaces'
4. Click 'Import' - second button from the left
5. In 'Browse for a Java Type to Import' type full name of class you want to use
6. Select this class in 'Java Types' field
7. In 'Available Methods' field select operations you want to use
   There will be operations, which have signature taking exactly one argument
8. Optionally you can create process variables
9. Confirm with ok
10. Now open properties of some Service Task
11. In combo box 'Operation', there will be available operations you selected in step 7.

I hope this will be helpful for you.

And last comment from my site. Please read referenced Eclipse Project Bugzilla. There bob explained quite well where was the problem.

Let me know your progress.

Note You need to log in before you can comment on or make changes to this bug.